/*                         
 *                         DIRECT CONDENSE 2.0
 *                         
 * dcgeneric/dcchecknrs.c   Tool for inspecting orbit databases.
 * 
 * Copyright (C) 2000 Frank Luebeck and Max Neunhoeffer, 
 *                    Lehrstuhl D fuer Mathematik, RWTH Aachen
 *                    
 * This file is protected under the GNU General Public License, 
 * (see the file "GPL.txt" in the main distribution directory for details). 
 * 
 * This program can be used to inspect orbit databases stored on disk
 * by the hash server(s).
 *
 *  $Id: dcchecknrs.c,v 1.3 2000/04/28 09:26:16 neunhoef Exp $
 */


#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <stdio.h>
#include <unistd.h>

int main(int argc, char *argv[])
{
  int fd;
  long sv, sel, n, i, t[4];
  
  if (argc != 2) {
    printf("Usage:  dcchecknrs  nrs_file\n");
    exit(1);
  }
  if ((fd = open(argv[1], O_RDONLY)) == -1) {
    printf("Can't open input file: %s.\n", argv[1]);
    exit(1);
  }
  sv = 0;
  sel = 0;
  i = 0;
  n = read(fd, (char *) t, 4*sizeof(long));
  for (; n == 4*sizeof(long);) {
    sv += t[1];
    sv += t[2];
    printf("%ld: %ld + %ld vecs (%ld total) up to now: %ld\n",
           t[0],t[1],t[2],t[3],sv);
    sel += t[3];
    i++;
    n = read(fd, (char *) t, 4*sizeof(long));
  }
  
  printf("%ld entries, %ld row vectors and %ld elements.\n", i, sv, sel);
  close(fd);
  exit(0);
}
