/*                         
 *                         DIRECT CONDENSE 2.0
 *                         
 * include/dcservices.h   Definitions of some magic numbers for protocols.
 * 
 * Copyright (C) 2000 Frank Luebeck and Max Neunhoeffer, 
 *                    Lehrstuhl D fuer Mathematik, RWTH Aachen
 *                    
 * This file is protected under the GNU General Public License, 
 * (see the file "GPL.txt" in the main distribution directory for details). 
 * 
 * This header contains the definition of some magic numbers for the
 * communication protocols.
 * 
 * $Id: dcservices.h,v 1.2 2000/04/28 09:44:19 neunhoef Exp $
 *
 */

/* This file contains the magic numbers of all services in the direct
   condense system. */

#include "magic.h"

/******     Services for the hash servers    *******/
/* For a query to the hash server to recognize points: */
#define HASHQUERY MAGIC50
/* For upload of new K-orbit data, when no number is known yet: */
#define HASHNEW   MAGIC51
/* For upload of new K-orbit data, when a number is known (after a HASHNEW): */
#define HASHNEWNR MAGIC52
/* For a query for an K-orbit: */
#define HASHORB   MAGIC53

/******* The job server will handle the following services *********/
/* give number of new job to client */
#define  NEWJOB    MAGIC40
/* get result of job - rows of condensation matrices - and store them 
   into file */
#define  GETRESULT MAGIC41  
/* give the next K-orbit number and add new job into queue */
#define  ORBITNUM  MAGIC42  

