/*                         
 *                         DIRECT CONDENSE 2.0
 *                         
 * test/testclnt.c   Test program for the clntserv library, client part.
 * 
 * Copyright (C) 2000 Frank Luebeck and Max Neunhoeffer, 
 *                    Lehrstuhl D fuer Mathematik, RWTH Aachen
 *                    
 * This file is protected under the GNU General Public License, 
 * (see the file "GPL.txt" in the main distribution directory for details). 
 * 
 * Test program for the clntserv library, client part.
 * 
 *  $Id: testclnt.c,v 1.2 2000/04/28 13:36:18 neunhoef Exp $
 *
 */

#include <stdio.h>
#include <stdlib.h>

#include "clntserv.h"

int main(int argc, char *argv[])
{
  unsigned short int port;
  long server;
  int sleeptime;
  CS_BUFTYPE buf;

  if (argc != 4) {
    puts("Usage: testclnt host port sleeptime");
    exit(1);
  }

  port = atoi(argv[2]);
  sleeptime = atoi(argv[3]);

  server = cs_connect(argv[1],port);

  buf = cs_new_buffer(sizeof(long));

  while (1) {
    buf.len = 0;
    cs_request(server,123,buf,&buf);
    printf("Got number: %ld\n",*((long *)(buf.buf)));
    sleep(sleeptime);
  }
    
  return 0;
}
