/*                         
 *                         DIRECT CONDENSE 2.0
 *                         
 * test/testserv.c   Test program for the clntserv library, server part.
 * 
 * Copyright (C) 2000 Frank Luebeck and Max Neunhoeffer, 
 *                    Lehrstuhl D fuer Mathematik, RWTH Aachen
 *                    
 * This file is protected under the GNU General Public License, 
 * (see the file "GPL.txt" in the main distribution directory for details). 
 * 
 * Test program for the clntserv library, server part.
 * 
 * $Id: testserv.c,v 1.2 2000/04/28 13:36:18 neunhoef Exp $
 *
 */

#include <stdio.h>
#include <stdlib.h>

#include "clntserv.h"

int oursleeptime = 0;

long currentnumber = 1;

long givenextnumber(CS_BUFTYPE question, CS_BUFTYPE *answer)
{
  long *p;

  question = question;  /* NOTUSED */

  /* we know the length of the answer to be sizeof(long) */
  cs_ensure_bufferlength(answer,sizeof(long));
  p = (long *) answer->buf;
  answer->len = sizeof(long);
  *p = currentnumber++;
  sleep(oursleeptime);
  return 0;
}

int main(int argc, char *argv[])
{
  CS_WORKER ourworkers[] = { { 123, givenextnumber },
			     { 0,   NULL } };
  unsigned short int port;
  
  if (argc < 3 || argc > 4) {
    puts("Usage: testserv port sleeptime [startnr]");
    exit(1);
  }

  port = atoi(argv[1]);
  oursleeptime = atoi(argv[2]);
  if (argc == 4)
    currentnumber = atol(argv[3]);

  cs_start_server(ourworkers, port);
  return 0;
}
